#include <string.h>
#include <iostream>

using namespace std;

class rekord
{
protected:
	char imie[50];
	char nazwisko[50];
	int wiek;
public:
	void wypisz(void);
	void inicjalizuj(char im[], char naz[], int wie);
	rekord();
	rekord(char im[], char naz[], int wie);
	rekord(rekord & wzor);
	~rekord(){}
};

void rekord::wypisz(void)
{
	cout << imie << '-' << nazwisko << '-' << wiek;
}

void rekord::inicjalizuj(char im[], char naz[], int wie)
{
	strcpy_s(imie,im);
	strcpy_s(nazwisko,naz);
	wiek=wie;
}

rekord::rekord(char im[], char naz[], int wie)
{
	strcpy_s(imie,im);
	strcpy_s(nazwisko,naz);
	wiek=wie;
}

rekord::rekord()
{}

class rekord_child: public rekord
{
protected:
	int wzrost;
public:
	rekord_child(){}
	rekord_child(char im[], char naz[], int wie, int wzr);
	~rekord_child(){}
	void wypisz(void)
	{
		rekord::wypisz();
		cout << wzrost;
	}
	void inicjalizuj(char im[], char naz[], int wie, int wz)
	{
		rekord::inicjalizuj(im,naz,wie);
		wzrost=wz;
	}
	
};

class baza
{
public:
	rekord_child tablica_rekordow[100];
};

void main(void)
{
	rekord J_Kowalski;
	J_Kowalski.inicjalizuj("Jan","Kowalski",34);
	//rekord M_Nowak("Marek","Nowak",22);
	rekord M_Nowak;
	M_Nowak.inicjalizuj("Marek","Nowak",22);
	J_Kowalski.wypisz();
	M_Nowak.wypisz();
}

